## opencryptoki 3.22.0+dfsg

=== debian/changelog ===
opencryptoki (3.22.0+dfsg-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2050023), incl. support for:
    - CCA token: PKCS #11 3.0 supporting AES_XTS (LP: #2025924)
    - Adjust d/p/01-disable-testcases.patch due to slightly changed context.
    - Refresh d/p/03-dlopen-soname.patch due to fuzz.
    - Remove the following patches, since they are all incl. in upstream 3.22:
      - d/p/lp-2026732-common-Correctly-set-default-attributes-for-*.patch
      - d/p/lp-2026732-p11sak-Fix-user-confirmation-prompt-behavior-*.patch
      - d/p/lp-2026732-pkcsstats-Fix-handling-of-user-name.patch
      - d/p/lp-2026732-p11sak-fix-length-handling-when-importing-and-*.patch
      - d/p/lp-2026732-p11sak-Fix-listing-of-key-objects-when-other-*.patch
      - d/p/lp-2026732-p11sak-Fix-parsing-of-slot-number-0.patch
  * Update 'Standards-Version' in d/control from 4.6.1.0 to latest 4.6.2.
  * Change 'Forwarded' field from "no" or "not-needed" in
    d/p/lp-1982842-move-pkcs11-group-assigment-from-makefile-to-postinst.patch.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 02 Feb 2024 16:15:29 +0100

opencryptoki (3.21.0+dfsg-0ubuntu2) noble; urgency=medium

  * Fix opencryptoki package install issue (LP: #2039783)
    - Remove d/opencryptoki.tmpfile since upstream opencryptoki.conf
      from build output should be used.
    - Leave the handling of non-persistent file and folders
      (like /run/opencryptoki/ and /var/lock/opencryptoki) entirely
      to systemd-tmpfiles and tmpfiles.d/opencryptoki.conf, means:
      - remove them from d/openstack.dirs
      - and instead call systemd-tmpfiles in d/openstack.postinst
      - this also allows to consolidate and remove commands from postinst
    - Ensure that pkcs11 is a supplementary group for root.
    - Modify d/opencryptoki.postrm and remove pkcsslotd user before
      removing pkcs11 group (otherwise it'll never be empty).
    - Remove obsolete Depends on lsb-base to avoid a lintian error report.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 01 Dec 2023 16:32:47 +0100
