=== debian/control ===
Source: opencryptoki
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paulo Vital <pvital@gmail.com>
Build-Depends:
 autoconf,
 automake,
 bison,
 debhelper (>= 13~),
 debhelper-compat (= 13),
 flex,
 libcap-dev,
 libica-dev [s390x],
 libitm1 [!armhf],
 libldap2-dev,
 libtool,
 libtspi-dev,
 libudev-dev
Standards-Version: 4.6.2
Homepage: https://github.com/opencryptoki/opencryptoki

Package: opencryptoki
Architecture: any
Depends:
 adduser,
 libopencryptoki0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: foreign
Description: PKCS#11 implementation (daemon)
 openCryptoki is a PKCS#11 Cryptographic Token Interface Standard
 implementation.  It includes drivers and libraries to enable IBM cryptographic
 hardware such as Trusted Computing Platform (TPM) cryptographic devices as well
 as a software token for testing.
 .
 This package contains the daemon.

Package: libopencryptoki0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: PKCS#11 implementation (library)
 openCryptoki is a PKCS#11 Cryptographic Token Interface Standard
 implementation.  It includes drivers and libraries to enable IBM cryptographic
 hardware such as Trusted Computing Platform (TPM) cryptographic devices as well
 as a software token for testing.
 .
 This package contains the library.

Package: libopencryptoki-dev
Section: libdevel
Architecture: any
Depends: libopencryptoki0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: PKCS#11 implementation (development)
 openCryptoki is a PKCS#11 Cryptographic Token Interface Standard
 implementation.  It includes drivers and libraries to enable IBM cryptographic
 hardware such as Trusted Computing Platform (TPM) cryptographic devices as well
 as a software token for testing.
 .
 This package contains the development files.
