## opencryptoki 3.23.0+dfsg

=== debian/changelog ===
opencryptoki (3.23.0+dfsg-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop manual call to systemd-tmpfiles in postinst. debhelper
    already does it, and properly guards it. Cleans up piuparts
    failure preventing testing migration.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 19 Jul 2024 14:53:37 +0200

opencryptoki (3.23.0+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build-dependency on libitm1. Upstream version 3.21.0 dropped
    support for transactional memory.
    This should allow building on armel, mips64el, riscv64 again.
    Thanks: Laurent Bigonville

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 20 Jun 2024 15:01:49 +0200

opencryptoki (3.23.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Merge from Ubuntu noble. (Closes: #989555)
  * Install systemd unit into /usr (DEP17 M2) (Closes: #1073736)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Jun 2024 22:39:34 +0200

opencryptoki (3.23.0+dfsg-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:23:07 +0000

opencryptoki (3.23.0+dfsg-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:29:43 +0000

opencryptoki (3.23.0+dfsg-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2050014)
    - Solves 'EP11 token support for FIPS 2021-session bound EP11 keys'.
    - Adjust d/p/01-disable-testcases.patch due to changed context.
    - Add 'Pre-Depends: ${misc:Pre-Depends}' to d/control to fix
      lintian warning 'skip-systemd-native-flag-missing-pre-depends'.

 -- Frank Heimes <frank.heimes@canonical.com>  Thu, 15 Feb 2024 11:31:50 +0100

opencryptoki (3.8.1+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build again on architectures where libitm and transactional memory are not
    available, use locks instead

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Jun 2021 15:35:32 +0200
