=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opencryptoki
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paulo Vital <pvital@gmail.com>
+Maintainer: Paulo Vital <pvital@gmail.com>
 Build-Depends:
  autoconf,
  automake,
@@ -12,7 +11,6 @@
  flex,
  libcap-dev,
  libica-dev [s390x],
- libitm1 [!armhf],
  libldap2-dev,
  libtool,
  libtspi-dev,
@@ -22,6 +20,7 @@
 
 Package: opencryptoki
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  adduser,
  libopencryptoki0 (= ${binary:Version}),
