## opencryptoki 3.24.0+git20250128.0462717+dfsg

=== debian/changelog ===
opencryptoki (3.24.0+git20250128.0462717+dfsg-0ubuntu1) plucky; urgency=medium

  * New version, based on upstream snapshot, to incorporate support for:
    - CKM_RSA_AES_KEY_WRAP for cca, ica and soft tokens (LP: #2097110) and
    - cca token support cipher keys (LP: #2097111)
  * Remove the following patch, since it's now included:
    d/p/lp-2095337-COMMON-Fix-compile-error-due-to-incompatible-pointer.patch

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 03 Feb 2025 13:35:04 +0100

opencryptoki (3.24.0+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release. (LP: #2095337)
  * Remove d/p/lp-2050018-* since these 9 patches are now included.
  * Update d/p/01-disable-testcases.patch due to new version number.
  * Modify d/p/03-dlopen-soname.patch due to more significant code changes.
  * Update
    d/plp-1982842-move-pkcs11-group-assigment-from-makefile-to-postinst.patch
    due to changes in context.
  * Remove d/opencryptoki.lintian-overrides and
    d/libopencryptoki0.lintian-overrides, since both are no longer needed,
    hence are reported by lintian as unused.
  * Adjust d/opencryptoki.install and d/rules for DEP-17 (/usr-merge)
    compliance (path to systemd).
  * Add
    d/p/lp-2095337-COMMON-Fix-compile-error-due-to-incompatible-pointer.patch
    to fix compile error on armhf.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 17 Jan 2025 14:31:09 +0100

opencryptoki (3.23.0+dfsg-0ubuntu4) oracular; urgency=medium

  * Add support for protected keys and extractable keys with EP11 token, with:
    - d/p/lp-2050018-EP11-pkey-option-add-new-PKEY_MODE-parms-to-ep11-con.patch
    - d/p/lp-2050018-EP11-pkey-option-handle-new-PKEY_MODE-parms-for-new-.patch
    - d/p/lp-2050018-EP11-pkey-option-handle-new-PKEY_MODE-parms-in-eligi.patch
    - d/p/lp-2050018-EP11-pkey-option-add-NO_PKEY-compile-option-for-EP11.patch
    - d/p/lp-2050018-EP11-pkey-option-consolidate-code-parts-no-logic-cha.patch
    - d/p/lp-2050018-EP11-add-check-if-protected-key-support-available-at.patch
    - d/p/lp-2050018-EP11-consider-combined-extract-for-XTS-pkey-check.patch
    - d/p/lp-2050018-EP11-Reject-combined-extract-attribute-settings-if-i.patch
    - d/p/lp-2050018-EP11-Fix-compile-error-with-NO_PKEY-defined.patch
    (LP: #2050018)

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 26 Jul 2024 13:04:25 +0200
