=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	rm -f debian/tmp/usr/include/*/Makefile*
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/opencryptoki/*.la \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/opencryptoki/stdll/*.la
-	rm -f debian/tmp/usr/lib/systemd/system/tmpfiles.conf
+	rm -f debian/tmp/lib/systemd/system/tmpfiles.conf
 
 override_dh_install:
 	# We need to be explicit on the sourcedir because the source tree mirrors the
