## opencryptoki 3.25.0+dfsg

=== debian/changelog ===
opencryptoki (3.25.0+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release. (LP: #2116720)
    - Adjust d/p/01-disable-testcases.patch due to changed context
      and modernize the patch.
    - Extend d/p/03-dlopen-soname.patch to adjust so-name in p11kmip.h.
    - Refresh d/p/lp-1982842-move-pkcs11-group-assigment-from-makefile-to\
      -postinst.patch to remove fuzz.
    - Add new doc to d/opencryptoki.docs.
    - Add d/p/dfsg_conform_build.patch to make build work on DFSG conform
      tar ball.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 15 Jul 2025 12:23:44 +0200
