=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: opencryptoki
 Section: admin
 Priority: optional
-Maintainer: Paulo Vital <pvital@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paulo Vital <pvital@gmail.com>
 Build-Depends:
  autoconf,
  automake,
@@ -11,6 +12,7 @@
  flex,
  libcap-dev,
  libica-dev [s390x],
+ libitm1 [!armhf],
  libldap2-dev,
  libtool,
  libtspi-dev,
