## opencryptoki 3.26.0+dfsg

=== debian/changelog ===
opencryptoki (3.26.0+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream release. (LP: #2135123)
    - Update d/01-disable-testcases.patch due to slightly changed context.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 12 Dec 2025 14:11:10 +0100
